Airlines.Web/Models/AirlinesViewModel.cs
using Airlines.Service.Dto;

namespace Airlines.Web.Models;

public class AirlinesViewModel
{
    public required IEnumerable<AirlineDto> Airlines { get; set; }
}

Airlines.Web/Models/AirportViewModel.cs
using Airlines.Service.Dto;

namespace Airlines.Web.Models;

public class AirportViewModel
{
    public required IEnumerable<AirportDto> Airports { get; set; }
}

Airlines.Web/Models/ErrorViewModel.cs
namespace Airlines.Web.Models;

public class ErrorViewModel
{
    public string? RequestId { get; set; }

    public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
}

Airlines.Web/Models/FlightsViewModel.cs
using Airlines.Service.Dto;
namespace Airlines.Web.Models;

public class FlightsViewModel
{
    public required IEnumerable<FlightDto> Flights { get; set; }
    public required IEnumerable<AirportDto> Airports { get; set; }
}

Airlines.Web/Models/HomeViewModel.cs
namespace Airlines.Web.Models;

public class HomeViewModel
{
    public int AirlinesCount { get; set; }

    public int AirportsCount { get; set; }

    public int FlightsCount { get; set; }
}

Airlines.Web/Controllers/AirlinesController.cs
using Airlines.Service.Dto;
using Airlines.Service.Services.AirlineService;
using Airlines.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace Airlines.Web.Controllers;
public class AirlinesController : Controller
{
    private readonly IAirlineService _airlineService;

    public AirlinesController(IAirlineService airlineService) => _airlineService = airlineService;

    [HttpGet]
    public async Task<IActionResult> Index(string searchTerm, string filter)
    {
        List<AirlineDto>? airlines;

        if (string.IsNullOrEmpty(searchTerm))
        {
            airlines = await _airlineService.GetAllAirlinesAsync();
        }
        else
        {
            airlines = await _airlineService.GetAllAirlinesAsync(filter, searchTerm);
        }

        var viewModel = new AirlinesViewModel { Airlines = airlines };

        return View(viewModel);
    }

    [HttpPost]
    public async Task<IActionResult> AddAirline(AirlineDto model)
    {
        if (await _airlineService.IsAirlineNameUniqueAsync(model.Name!))
        {
            ModelState.AddModelError("Name", "The name must be unique");
        }

        if (!ModelState.IsValid)
        {
            var airlines = await _airlineService.GetAllAirlinesAsync();
            var viewModel = new AirlinesViewModel { Airlines = airlines };

            return View("Index", viewModel);
        }

        await _airlineService.AddAirlineAsync(model);
        return RedirectToAction(nameof(Index));
    }
}

Airlines.Web/Controllers/AirportsController.cs
using Airlines.Service.Dto;
using Airlines.Service.Services.AirportService;
using Airlines.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace Airlines.Web.Controllers;
public class AirportsController : Controller
{
    private readonly IAirportService _airportService;

    public AirportsController(IAirportService airportService) => _airportService = airportService;

    [HttpGet]
    public async Task<IActionResult> Index(string searchTerm, string filter)
    {
        List<AirportDto>? airports;

        if (string.IsNullOrEmpty(searchTerm))
        {
            airports = await _airportService.GetAllAirportsAsync();
        }
        else
        {
            airports = await _airportService.GetAllAirportsAsync(filter, searchTerm);
        }

        var viewModel = new AirportViewModel { Airports = airports };

        return View(viewModel);
    }

    [HttpPost]
    public async Task<IActionResult> AddAirport(AirportDto model)
    {

        if (await _airportService.IsAirportCodeUniqueAsync(model.Code!))
        {
            ModelState.AddModelError("Code", "The code must be unique.");
        }

        if (await _airportService.IsAirportNameUniqueAsync(model.Name!))
        {
            ModelState.AddModelError("Name", "The name must be unique");
        }

        if (!ModelState.IsValid)
        {
            var airports = await _airportService.GetAllAirportsAsync();
            var viewModel = new AirportViewModel { Airports = airports };

            return View("Index", viewModel);
        }

        await _airportService.AddAirportAsync(model);
        return RedirectToAction(nameof(Index));
    }
}

Airlines.Web/Controllers/FlightsController.cs
using Airlines.Service.Dto;
using Airlines.Service.Services.AirportService;
using Airlines.Service.Services.FlightService;
using Airlines.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace Airlines.Web.Controllers;
public class FlightsController : Controller
{
    private readonly IFlightService _flightService;
    private readonly IAirportService _airportService;

    public FlightsController(IFlightService flightService, IAirportService airportService)
    {
        _flightService = flightService;
        _airportService = airportService;
    }

    [HttpGet]
    public async Task<IActionResult> Index(string searchTerm, string filter, string timePeriod)
    {
        List<FlightDto>? flights;

        if (!string.IsNullOrEmpty(searchTerm))
        {
            flights = await _flightService.GetAllFlightsAsync(filter, searchTerm);
        }

        else if (!string.IsNullOrEmpty(timePeriod))
        {
            flights = await _flightService.GetAllFlightForTimePeriod(timePeriod);
        }

        else
        {
            flights = await _flightService.GetAllFlightsAsync();
        }

        var airports = await _airportService.GetAllAirportsAsync();

        var viewModel = new FlightsViewModel
        {
            Flights = flights,
            Airports = airports,
        };

        return View(viewModel);
    }

    [HttpPost]
    public async Task<IActionResult> AddFlight(FlightDto model)
    {
        if (!_flightService.IsDepartureDateInTheFuture(model.DepartureDateTime))
        {
            ModelState.AddModelError("DepartureDateTime", "Departure time must be in the future.");
        }

        if (!_flightService.IsArrivalDateInTheFuture(model.ArrivalDateTime))
        {
            ModelState.AddModelError("ArrivalDateTime", "Arrival time must be in the future.");
        }

        if (_flightService.IsArrivalDateAfterDeprtureDate(model.DepartureDateTime, model.ArrivalDateTime))
        {
            ModelState.AddModelError("ArrivalDateTime", "Arrival time must be after departure time.");
        }

        if (!ModelState.IsValid)
        {
            var flights = await _flightService.GetAllFlightsAsync();
            var airports = await _airportService.GetAllAirportsAsync();

            var viewModel = new FlightsViewModel
            {
                Flights = flights,
                Airports = airports,
            };

            return View("Index", viewModel);
        }

        await _flightService.AddFlightAsync(model);
        return RedirectToAction(nameof(Index));
    }
}

Airlines.Web/Controllers/HomeController.cs
using Airlines.Service.Services.AirlineService;
using Airlines.Service.Services.AirportService;
using Airlines.Service.Services.FlightService;
using Airlines.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace Airlines.Web.Controllers;
public class HomeController : Controller
{
    private readonly IAirlineService _airlineService;
    private readonly IAirportService _airportService;
    private readonly IFlightService _flightService;

    public HomeController(IAirlineService airlineService, IAirportService airportService, IFlightService flightService)
    {
        _airlineService = airlineService;
        _airportService = airportService;
        _flightService = flightService;
    }

    [HttpGet]
    public async Task<IActionResult> Index()
    {
        var airlinesCount = await _airlineService.GetAirlinesCountAsync();
        var airportsCount = await _airportService.GetAirportsCountAsync();
        var flightsCount = await _flightService.GetFlightsCountAsync();

        var viewModel = new HomeViewModel
        {
            AirlinesCount = airlinesCount,
            AirportsCount = airportsCount,
            FlightsCount = flightsCount
        };

        return View(viewModel);
    }
}

Airlines.Web/Views/Airlines/Index.cshtml
@model Airlines.Web.Models.AirlinesViewModel

<div class="main-header">
    <a asp-controller="Home" asp-action="Index" class="arrow-back">
        <img src="./assets/left sidebar.png" alt="arrow-back" />
    </a>
    <h2>Airlines</h2>
</div>
<div class="toggle-button-container">
    <button class="toggle-button">Hide table</button>
</div>
<div class="search-container">
    <form class="search-form" asp-controller="Airlines" asp-action="Index" method="get">
        <input type="text" placeholder="search" name="searchTerm" />
        <select name="filter">
            <option value="Name">Name</option>
            <option value="Founded">Founded</option>
            <option value="FleetSize">Fleet Size</option>
            <option value="Description">Description</option>
        </select>
        <button class="search-form-button">Search</button>
    </form>
</div>
<div class="table-container">
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Founded</th>
                <th>Fleet Size</th>
                <th>Description</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Airlines.Any())
            {
                @foreach (var item in Model.Airlines)
                {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.Name)</td>
                        <td>@Html.DisplayFor(modelItem => item.Founded)</td>
                        <td>@Html.DisplayFor(modelItem => item.FleetSize)</td>
                        <td>@Html.DisplayFor(modelItem => item.Description)</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="4">No data available</td>
                </tr>
            }
        </tbody>
    </table>
    <button id="go-to-top-button">^</button>
</div>
<div class="show-form-button-container">
    <button class="show-form-button">Show Form</button>
</div>
<div class="form-wrapper">
    <form asp-controller="Airlines" asp-action="AddAirline" method="post">
        @if (Model.Airlines.Any())
        {
            <fieldset>
                <legend>Add New Airline</legend>
                <label asp-for="Airlines.Last().Name">Name:</label>
                <input asp-for="Airlines.Last().Name" class="form-control" id="name">
                <span asp-validation-for="Airlines.Last().Name" class="text-danger" id="name-error"></span>

                <label asp-for="Airlines.Last().Founded">Founded:</label>
                <input asp-for="Airlines.Last().Founded" class="form-control" type="date" id="founded">
                <span asp-validation-for="Airlines.Last().Founded" class="text-danger" id="founded-error"></span>

                <label asp-for="Airlines.Last().FleetSize">Fleet Size:</label>
                <input asp-for="Airlines.Last().FleetSize" class="form-control" type="number" id="fleetSize">
                <span asp-validation-for="Airlines.Last().FleetSize" class="text-danger" id="fleetSize-error"></span>

                <label asp-for="Airlines.Last().Description">Description:</label>
                <textarea asp-for="Airlines.Last().Description" class="form-control" id="description"></textarea>
                <span asp-validation-for="Airlines.Last().Description" class="text-danger" id="description-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
        else
        {
            <fieldset>
                <legend>Add New Airline</legend>
                <label for="Name">Name:</label>
                <input name="Name" class="form-control" id="name">
                <span asp-validation-for="Airlines.Last().Name" class="text-danger" id="name-error"></span>

                <label for="Founded">Founded:</label>
                <input name="Founded" class="form-control" type="date" id="founded">
                <span asp-validation-for="Airlines.Last().Founded" class="text-danger" id="founded-error"></span>

                <label for="FleetSize">Fleet Size:</label>
                <input name="FleetSize" class="form-control" type="number" id="fleetSize">
                <span asp-validation-for="Airlines.Last().FleetSize" class="text-danger" id="fleetSize-error"></span>

                <label for="Description">Description:</label>
                <textarea name="Description" class="form-control" id="description"></textarea>
                <span asp-validation-for="Airlines.Last().Description" class="text-danger" id="description-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
    </form>
</div>

@section Scripts {
    <script src="~/js/validation/airline-validation.js"></script>
    <script src="~/js/interactions.js"></script>
    <script src ="~/js/animation.js"></script>
}

Airlines.Web/Views/Airports/Index.cshtml
@model Airlines.Web.Models.AirportViewModel

<div class="main-header">
    <a asp-controller="Home" asp-action="Index" class="arrow-back">
        <img src="./assets/left sidebar.png" alt="arrow-back" />
    </a>
    <h2>Airports</h2>
</div>
<div class="toggle-button-container">
    <button class="toggle-button">Hide table</button>
</div>
<div class="search-container">
    <form class="search-form" asp-controller="Airports" asp-action="Index" method="get">
        <input type="text" placeholder="search" name="searchTerm" />
        <select name="filter">
            <option value="Name">Name</option>
            <option value="Country">Country</option>
            <option value="City">City</option>
            <option value="Code">Code</option>
            <option value="Runways">Runways</option>
            <option value="Founded">Founded</option>
        </select>
        <button class="search-form-button">Search</button>
    </form>
</div>
<div class="table-container">
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Country</th>
                <th>City</th>
                <th>Code</th>
                <th>Runways</th>
                <th>Founded</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Airports.Any())
            {
                @foreach (var item in Model.Airports)
                {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.Name)</td>
                        <td>@Html.DisplayFor(modelItem => item.Country)</td>
                        <td>@Html.DisplayFor(modelItem => item.City)</td>
                        <td>@Html.DisplayFor(modelItem => item.Code)</td>
                        <td>@Html.DisplayFor(modelItem => item.Runways)</td>
                        <td>@Html.DisplayFor(modelItem => item.Founded)</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="4">No data available</td>
                </tr>
            }
        </tbody>
    </table>
    <button id="go-to-top-button">^</button>
</div>
<div class="show-form-button-container">
    <button class="show-form-button">Show Form</button>
</div>
<div class="form-wrapper">
    <form asp-controller="Airports" asp-action="AddAirport" method="post">
        @if (Model.Airports.Any())
        {
            <fieldset>
                <legend>Add New Airline</legend>

                <label asp-for="Airports.Last().Name">Name</label>
                <input asp-for="Airports.Last().Name" class="form-control" id="name">
                <span asp-validation-for="Airports.Last().Name" class="text-danger" id="name-error"></span>

                <label asp-for="Airports.Last().Country">Country</label>
                <input asp-for="Airports.Last().Country" class="form-control" id="country">
                <span asp-validation-for="Airports.Last().Country" class="text-danger" id="country-error"></span>

                <label asp-for="Airports.Last().City">City</label>
                <input asp-for="Airports.Last().City" class="form-control" id="city">
                <span asp-validation-for="Airports.Last().City" class="text-danger" id="city-error"></span>

                <label asp-for="Airports.Last().Code">Code</label>
                <input asp-for="Airports.Last().Code" class="form-control" id="code">
                <span asp-validation-for="Airports.Last().Code" class="text-danger" id="code-error"></span>

                <label asp-for="Airports.Last().Runways">Runways</label>
                <input asp-for="Airports.Last().Runways" class="form-control" id="runways" type="number">
                <span asp-validation-for="Airports.Last().Runways" class="text-danger" id="runways-error"></span>

                <label asp-for="Airports.Last().Founded">Founded</label>
                <input asp-for="Airports.Last().Founded" class="form-control" id="founded" type="date">
                <span asp-validation-for="Airports.Last().Founded" class="text-danger" id="founded-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
        else
        {
            <fieldset>
                <legend>Add New Airline</legend>
                <label for="Name">Name</label>
                <input name="Name" class="form-control" id="name">
                <span asp-validation-for="Airports.Last().Name" class="text-danger" id="name-error"></span>

                <label for="Country">Country</label>
                <input name="Country" class="form-control" id="country">
                <span asp-validation-for="Airports.Last().Country" class="text-danger" id="country-error"></span>

                <label for="City">City</label>
                <input name="City" class="form-control" id="city">
                <span asp-validation-for="Airports.Last().City" class="text-danger" id="city-error"></span>

                <label for="Code">Code</label>
                <input name="Code" class="form-control" id="code">
                <span asp-validation-for="Airports.Last().Code" class="text-danger" id="code-error"></span>

                <label for="Runways">Runways</label>
                <input name="Runways" class="form-control" type="number" id="runways">
                <span asp-validation-for="Airports.Last().Runways" class="text-danger" id="runways-error"></span>

                <label for="Founded">Founded</label>
                <input name="Founded" class="form-control" type="date" id="founded">
                <span asp-validation-for="Airports.Last().Founded" class="text-danger" id="founded-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
    </form>
</div>

@section Scripts {
    <script src="~/js/validation/airport-validation.js"></script>
    <script src="~/js/interactions.js"></script>
    <script src="~/js/animation.js"></script>
}

Airlines.Web/Views/Flights/Index.cshtml
@model Airlines.Web.Models.FlightsViewModel

<div class="main-header">
    <a asp-controller="Home" asp-action="Index" class="arrow-back">
        <img src="./assets/left sidebar.png" alt="arrow-back" />
    </a>
    <h2>Flights</h2>
</div>
<div class="toggle-button-container">
    <button class="toggle-button">Hide table</button>
</div>
<div class="search-container" id="search-container-flights">
    <form class="filter-form" asp-controller="Flights" asp-action="Index" method="get">
        <select name="timePeriod">
            <option value="">Select time period</option>
            <option value="day">Flights in one day</option>
            <option value="week">Flights in one week</option>
            <option value="month">Flights in one month</option>
        </select>
        <button class="search-form-button">Apply Filter</button>
    </form>
    <form class="search-form" asp-controller="Flights" asp-action="Index" method="get">
        <input type="text" placeholder="search" name="searchTerm" />
        <select name="filter">
            <option value="Number">Number</option>
            <option value="DepartureAirport">From</option>
            <option value="ArrivalAirport">To</option>
            <option value="DepartureDateTime">Departure</option>
            <option value="ArrivalDateTime">Arrival</option>
        </select>
        <button class="search-form-button">Search</button>
    </form>
</div>
<div class="table-container">
    <table>
        <thead>
            <tr>
                <th>Flight Number</th>
                <th>From</th>
                <th>To</th>
                <th>Departure</th>
                <th>Arrival</th>
            </tr>
        </thead>
        <tbody>
            @if(Model.Flights.Any())
            {
                @foreach (var item in Model.Flights)
                {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.Number)</td>
                        <td>@(item.DepartureAirport != null ? Html.DisplayFor(modelItem => item.DepartureAirport.Name) : "")</td>
                        <td>@(item.ArrivalAirport != null ? Html.DisplayFor(modelItem => item.ArrivalAirport.Name) : "")</td>
                        <td>@Html.DisplayFor(modelItem => item.DepartureDateTime)</td>
                        <td>@Html.DisplayFor(modelItem => item.ArrivalDateTime)</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="4">No data available</td>
                </tr>
            }
        </tbody>
    </table>
    <button id="go-to-top-button">^</button>
</div>
<div class="show-form-button-container">
    <button class="show-form-button">Show Form</button>
</div>
<div class="form-wrapper">
    <form asp-controller="Flights" asp-action="AddFlight" method="post">
        @if (Model.Flights.Any())
        {
            <fieldset>
                <legend>Add New Flight</legend>
                <label asp-for="Flights.Last().Number">Number:</label>
                <input asp-for="Flights.Last().Number" class="form-control" id="number">
                <span asp-validation-for="Flights.Last().Number" class="text-danger" id="number-error"></span>

                <label asp-for="Flights.Last().DepartureAirportId">From:</label>
                <select asp-for="Flights.Last().DepartureAirportId" asp-items="@(new SelectList(Model.Airports, "AirportId", "Name"))" class="form-control" id="from">
                    <option value="">Select Departure Airport</option>
                </select>
                <span asp-validation-for="Flights.Last().DepartureAirportId" class="text-danger" id="from-error"></span>

                <label asp-for="Flights.Last().ArrivalAirportId">To:</label>
                <select asp-for="Flights.Last().ArrivalAirportId" asp-items="@(new SelectList(Model.Airports, "AirportId", "Name"))" class="form-control" id="to">
                    <option value="">Select Arrival Airport</option>
                </select>
                <span asp-validation-for="Flights.Last().ArrivalAirportId" class="text-danger" id="to-error"></span>

                <label asp-for="Flights.Last().DepartureDateTime">Departure Time:</label>
                <input asp-for="Flights.Last().DepartureDateTime" class="form-control" type="datetime-local" id="departureTime">
                <span asp-validation-for="Flights.Last().DepartureDateTime" class="text-danger" id="depertureTime-error"></span>

                <label asp-for="Flights.Last().ArrivalDateTime">Arrival Time:</label>
                <input asp-for="Flights.Last().ArrivalDateTime" class="form-control" type="datetime-local" id="arrivalTime">
                <span asp-validation-for="Flights.Last().ArrivalDateTime" class="text-danger" id="arrivalTime-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
        else
        {
            <fieldset>
                <legend>Add New Flight</legend>
                <label for="Number">Number:</label>
                <input name="Number" class="form-control" id="number">
                <span asp-validation-for="Flights.Last().Number" class="text-danger" id="number-error"></span>

                <label for="DepartureAirportId">From:</label>
                <select name="DepartureAirportId" class="form-control" id="from">
                    <option value="">Select Departure Airport</option>
                    @foreach (var airport in Model.Airports)
                    {
                        <option value="@airport.AirportId">@airport.Name</option>
                    }
                </select>
                <span asp-validation-for="Flights.Last().DepartureAirportId" class="text-danger" id="from-error"></span>

                <label for="ArrivalAirportId">To:</label>
                <select name="ArrivalAirportId" class="form-control" id="to">
                    <option value="">Select Arrival Airport</option>
                    @foreach (var airport in Model.Airports)
                    {
                        <option value="@airport.AirportId">@airport.Name</option>
                    }
                </select>
                <span asp-validation-for="Flights.Last().ArrivalAirportId" class="text-danger" id="to-error"></span>

                <label for="DepartureDateTime">Departure Time:</label>
                <input name="DepartureDateTime" class="form-control" type="datetime-local" id="departureTime">
                <span asp-validation-for="Flights.Last().DepartureDateTime" class="text-danger" id="depertureTime-error"></span>

                <label for="ArrivalDateTime">Arrival Time:</label>
                <input name="ArrivalDateTime" class="form-control" type="datetime-local" id="arrivalTime">
                <span asp-validation-for="Flights.Last().ArrivalDateTime" class="text-danger" id="arrivalTime-error"></span>

                <input type="submit" value="Submit" class="submit-form-button">
            </fieldset>
        }
    </form>
</div>

@section Scripts {
    <script src="~/js/validation/flight-validation.js"></script>
    <script src="~/js/interactions.js"></script>
    <script src="~/js/animation.js"></script>
}

Airlines.Web/Views/Home/Index.cshtml
@model Airlines.Web.Models.HomeViewModel

<h2 class="dashboard-header">
    Welcome To Dashboard
</h2>
<div class="card-container">
    <div class="card-wrapper">
        <div class="card">
            Airports
            <img src="~/assets/mdi_airport.png" alt="airport-icon">
            @Model.AirportsCount
        </div>
        <a asp-controller="Airports" asp-action="Index"><button class="dashboard-button">Add New Airport</button></a>
    </div>
    <div class="card-wrapper">
        <div class="card">
            Airlines
            <img src="~/assets/ri_plane-fill.png" alt="plane-icon">
            @Model.AirlinesCount
        </div>
        <a asp-controller="Airlines" asp-action="Index"><button class="dashboard-button">Add New Airline</button></a>
    </div>
    <div class="card-wrapper">
        <div class="card">
            Flights
            <img src="~/assets/carbon_flight-schedule.png" alt="flight-icon">
            @Model.FlightsCount
        </div>
        <a asp-controller="Flights" asp-action="Index"><button class="dashboard-button">Add New Flight</button></a>
    </div>
</div>

Airlines.Web/Views/Shared/_Footer.cshtml
  Rise Airlines 2024 &copy;

Airlines.Web/Views/Shared/_Header.cshtml
<a class="logo" asp-controller="Home" asp-action="Index">
    <h1>Rise Airlines</h1>
    <img src="~/assets/header-plane.png" alt="icon">
</a>
<nav class="nav-bar">
    <ul class="nav-list">
        <li class="nav-link"><a asp-controller="Airports" asp-action="Index">Airports</a></li>
        <li class="nav-link"><a asp-controller="Airlines" asp-action="Index">Airlines</a></li>
        <li class="nav-link"><a asp-controller="Flights" asp-action="Index">Flights</a></li>
    </ul>
</nav>

Airlines.Web/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Rise Airlines</title>
    <link rel="stylesheet" href="~/Airlines.Web.styles.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/css/layout.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/css/global-styles.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/css/styles.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/css/responsive.css" asp-append-version="true"/>
</head>
<body>
    <header>
        @await Html.PartialAsync("_Header")
    </header>
    <main>
        @RenderBody()
    </main>
    <footer>
        @await Html.PartialAsync("_Footer")
    </footer>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>